aboutsummaryrefslogtreecommitdiffstats
path: root/x11/rgb/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-08 09:17:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-08 09:17:03 +0000
commitcbec927da6c937bf304c81c6d17ddf3aadd32128 (patch)
tree28082000d3a1531a18577e09bae1c9917ac88da5 /x11/rgb/APKBUILD
parent7fe35dd528f2661c77037187e014069689fa504f (diff)
downloadaports-cbec927da6c937bf304c81c6d17ddf3aadd32128.tar.gz
aports-cbec927da6c937bf304c81c6d17ddf3aadd32128.tar.bz2
aports-cbec927da6c937bf304c81c6d17ddf3aadd32128.tar.xz
x11/rgb: new aport
X.org utility to display an rgb color-name database
Diffstat (limited to 'x11/rgb/APKBUILD')
-rw-r--r--x11/rgb/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/rgb/APKBUILD b/x11/rgb/APKBUILD
new file mode 100644
index 0000000000..e47922c0e4
--- /dev/null
+++ b/x11/rgb/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=rgb
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="X.org utility to display an rgb color-name database"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig xproto"
+source="http://xorg.freedesktop.org//releases/individual/app/rgb-1.0.3.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="44ea16cc3104de6401bc74035f642357 rgb-1.0.3.tar.bz2"